Package fr.gouv.vitam.functional.administration.rest

# Class SchemaResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.SchemaResource

@Path("/adminmanagement/v1") @ApplicationPath("webresources") public class SchemaResource extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECTGROUP_SCHEMA_URI`
  `static final String`
  `UNIT_SCHEMA_URI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaResource(SchemaService schemaService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `deleteUnitExternalSchemas(List<String> paths)`
  `jakarta.ws.rs.core.Response`
  `importExternalSchemaElements(List<SchemaInputModel> externalSchemaList, jakarta.ws.rs.core.UriInfo uri)`
  Import a set of external schema.
  `jakarta.ws.rs.core.Response`
  `objectGroupSchema()`
  `jakarta.ws.rs.core.Response`
  `unitSchema()`
  Api to return unit schema

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNIT_SCHEMA_URI

    public static final String UNIT_SCHEMA_URI
    See Also:
      - Constant Field Values

  - ### OBJECTGROUP_SCHEMA_URI

    public static final String OBJECTGROUP_SCHEMA_URI
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SchemaResource

    public SchemaResource(SchemaService schemaService)

- ## Method Details

  - ### unitSchema

    @Path("/schema/unit") @GET @Produces("application/json") public jakarta.ws.rs.core.Response unitSchema()
    Api to return unit schema
    Returns:

  - ### objectGroupSchema

    @Path("/schema/objectgroup") @GET @Produces("application/json") public jakarta.ws.rs.core.Response objectGroupSchema()

  - ### importExternalSchemaElements

    @Path("/schema/unit") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response importExternalSchemaElements(List<SchemaInputModel> externalSchemaList, @Context jakarta.ws.rs.core.UriInfo uri)
    Import a set of external schema. The input is invalid in the following situations :
    - The json is invalid
    - The json contains an already used path
    - One or more mandatory field is missing
    - A field has an invalid format
    Parameters:
      `externalSchemaList` - as InputStream
      `uri` - the uri info
    Returns:
      Response

  - ### deleteUnitExternalSchemas

    @Path("/schema/unit") @DELETE @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response deleteUnitExternalSchemas(List<String> paths)